## python-neutronclient 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
osc-lib>=1.0.2 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
os-client-config!=1.19.0,!=1.19.1,!=1.20.0,!=1.20.1,!=1.21.0,>=1.13.1 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
Babel>=2.3.4 # BSD

=== debian/changelog ===
python-neutronclient (1:6.0.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Fixed oslotest EPOCH.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 09:11:03 +0200

python-neutronclient (1:6.0.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 18:49:29 +0200

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-keystoneauth1 (>= 2.10.0),
                     python-iso8601 (>= 0.1.11),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-netaddr (>= 0.7.12),
                     python-openstackclient (>= 2.1.0),
                     python-osc-lib (>= 1.0.2),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-os-client-config (>= 1.13.1),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-keystoneauth1 (>= 2.10.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-mock (>= 2.0),
                     python3-mox3,
                     python3-netaddr (>= 0.7.12),
                     python3-openstackclient (>= 2.1.0),
                     python3-osc-lib (>= 1.0.2),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-os-client-config (>= 1.13.1),
                     python3-oslotest (>= 1:1.10.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.0),
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-neutronclient?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-neutronclient -b debian/newton
Homepage: https://launchpad.net/python-neutronclient
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 1.15.0),
         python-debtcollector (>= 1.2.0),
         python-keystoneauth1 (>= 2.10.0),
         python-iso8601 (>= 0.1.11),
         python-netaddr (>= 0.7.12),
         python-osc-lib (>= 1.0.2),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-requests (>= 2.10.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client API library for Neutron - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 2.7 module.

Package: python3-neutronclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 1.15.0),
         python3-debtcollector (>= 1.2.0),
         python3-keystoneauth1 (>= 2.10.0),
         python3-iso8601 (>= 0.1.11),
         python3-netaddr (>= 0.7.12),
         python3-osc-lib (>= 1.0.2),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-requests (>= 2.10.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client API library for Neutron - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install
	install -D -m 0644 tools/neutron.bash_completion $(CURDIR)/debian/python-neutronclient-doc/usr/share/bash-completion/completions/neutron

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test 'neutronclient\.tests\.unit\.(?!(.*test_cli20_port\.CLITestV20PortJSON\.test_list_ports_with_fixed_ips_in_csv.*|.*test_cli20_port\.CLITestV20PortXML\.test_list_ports_with_fixed_ips_in_csv.*))'
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf python_neutronclient.egg-info doc/man .testrepository

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	dh_installman -O--buildsystem=python_distutils
#endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-neutronclient 6.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
cliff>=2.3.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
osc-lib>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
os-client-config>=1.22.0 # Apache-2.0
keystoneauth1>=2.17.0 # Apache-2.0
# keystoneclient is used only by neutronclient.osc.utils
# TODO(amotoki): Drop this after osc.utils has no dependency on keystoneclient
python-keystoneclient>=3.8.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
Babel>=2.3.4 # BSD

=== debian/changelog ===
python-neutronclient (1:6.1.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Clean up dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 22:40:45 -0500

python-neutronclient (1:6.1.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Jan 2017 09:01:43 -0500

python-neutronclient (1:6.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 15:39:43 +0100

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cliff (>= 2.3.0),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.17.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-os-client-config (>= 1.22.0),
                     python-osc-lib (>= 1.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:12.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 2.3.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-keystoneauth1 (>= 2.17.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-mox3 (>= 0.7.0),
                     python3-netaddr (>= 0.7.13),
                     python3-os-client-config (>= 1.22.0),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
Homepage: https://launchpad.net/python-neutronclient
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 1.15.0),
         python-debtcollector (>= 1.2.0),
         python-iso8601 (>= 0.1.11),
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:3.8.0),
         python-netaddr (>= 0.7.12),
         python-osc-lib (>= 1.0.2),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-requests (>= 2.10.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Description: client API library for Neutron - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 2.7 module.

Package: python3-neutronclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 1.15.0),
         python3-debtcollector (>= 1.2.0),
         python3-iso8601 (>= 0.1.11),
         python3-keystoneauth1 (>= 2.10.0),
         python3-keystoneclient (>= 1:3.8.0),
         python3-netaddr (>= 0.7.12),
         python3-osc-lib (>= 1.0.2),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-requests (>= 2.10.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Description: client API library for Neutron - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 3.x module.

## python-neutronclient 6.1.1

=== debian/changelog ===
python-neutronclient (1:6.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Michal Arbet <michal.arbet@debian.org>  Wed, 25 Oct 2017 10:19:17 +0200

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-cliff (>= 2.3.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-keystoneauth1 (>= 2.18.0),
                     python-iso8601 (>= 0.1.9),
                     python-reno,
                     python-mock (>= 2.0),
                     python-mox3,
                     python-netaddr (>= 0.7.13),
                     python-osc-lib (>= 1.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-openstackclient (>= 3.3.0),
                     python-oslotest (>= 1.10.0),
                     python-os-client-config (>= 1.22.0),
                     python-keystoneclient (>= 3.8.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-cliff (>= 2.3.0),
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-iso8601 (>= 0.1.9),
                     python3-mock (>= 2.0),
                     python3-mox3,
                     python3-netaddr (>= 0.7.13),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-os-client-config (>= 1.22.0),
                     python3-openstackclient (>= 3.3.0),
                     python3-oslotest (>= 1.10.0),
                     python3-keystoneclient (>= 3.8.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-reno,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-neutronclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-neutronclient.git
Homepage: https://launchpad.net/python-neutronclient
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Depends: python-babel,
         python-cliff (>= 2.3.0),
         python-debtcollector (>= 1.2.0),
         python-keystoneauth1 (>= 2.18.0),
         python-iso8601,
         python-netaddr (>= 0.7.13),
         python-osc-lib (>= 1.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-keystoneclient (>= 3.8.0),
         python-requests (>= 2.10.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client API library for Neutron - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 2.7 module.

Package: python3-neutronclient
Architecture: all
Depends: python3-babel,
         python3-cliff (>= 2.3.0),
         python3-debtcollector (>= 1.2.0),
         python3-keystoneauth1 (>= 2.18.0),
         python3-iso8601,
         python3-netaddr (>= 0.7.13),
         python3-osc-lib (>= 1.2.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-keystoneclient (>= 3.8.0),
         python3-requests (>= 2.10.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client API library for Neutron - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 3.x module.

## python-neutronclient 6.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff>=2.8.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
osc-lib>=1.7.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
keystoneauth1>=3.0.1 # Apache-2.0
# keystoneclient is used only by neutronclient.osc.utils
# TODO(amotoki): Drop this after osc.utils has no dependency on keystoneclient
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
python-neutronclient (1:6.5.0-0ubuntu1.1) artful; urgency=medium

  * d/rules: include neutron bash completion helper in python-neutronclient
    package (LP: #1692334).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Sun, 21 May 2017 11:47:01 -0400

python-neutronclient (1:6.5.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/allow-babel-2.4.0.patch: Drop blacklist of Babel 2.4.0 as the
    version in Ubuntu is fixed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 14:00:20 -0400

python-neutronclient (1:6.3.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:22:35 +0100

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cliff (>= 2.8.0),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 3.0.1),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-client-config (>= 1.28.0),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 2.8.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-keystoneauth1 (>= 3.0.1),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-mox3 (>= 0.7.0),
                     python3-netaddr (>= 0.7.13),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-client-config (>= 1.28.0),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:16.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
Homepage: https://launchpad.net/python-neutronclient
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 2.8.0),
         python-debtcollector (>= 1.2.0),
         python-iso8601 (>= 0.1.11),
         python-keystoneauth1 (>= 3.0.1),
         python-keystoneclient (>= 1:3.8.0),
         python-netaddr (>= 0.7.12),
         python-osc-lib (>= 1.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-requests (>= 2.14.2),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client API library for Neutron - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 2.7 module.

Package: python3-neutronclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 2.8.0),
         python3-debtcollector (>= 1.2.0),
         python3-iso8601 (>= 0.1.11),
         python3-keystoneauth1 (>= 3.0.1),
         python3-keystoneclient (>= 1:3.8.0),
         python3-netaddr (>= 0.7.12),
         python3-osc-lib (>= 1.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-requests (>= 2.14.2),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client API library for Neutron - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 3.x module.

## python-neutronclient 6.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
netaddr>=0.7.18 # BSD
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
# keystoneclient is used only by neutronclient.osc.utils
# TODO(amotoki): Drop this after osc.utils has no dependency on keystoneclient
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
simplejson>=3.5.1 # MIT
six>=1.10.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
python-neutronclient (1:6.7.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-fwaas-unit-tests.patch: Dropped. Fixed in upstream release.
  * d/p/allow-babel-2.4.0.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:30:22 -0500

python-neutronclient (1:6.6.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/allow-babel-2.4.0.patch: Rebased.
  * d/p/fix-fwaas-unit-tests.patch: Cherry-picked from upstream master
    to fix failing fwaas unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 16:07:01 -0500

=== debian/control ===
Source: python-neutronclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netaddr (>= 0.7.18),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
Homepage: https://launchpad.net/python-neutronclient
XS-Testsuite: autopkgtest

Package: python-neutronclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-debtcollector (>= 1.2.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-netaddr (>= 0.7.18),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: client API library for Neutron - Python 2.7
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 2.7 module.

Package: python3-neutronclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-debtcollector (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-netaddr (>= 0.7.18),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client API library for Neutron - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (e.g., vNICs
 from Nova VMs). The Neutron API supports extensions to provide advanced network
 capabilities (e.g., QoS, ACLs, network monitoring, etc).
 .
 This package provides the client and Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,42 @@
 #!/usr/bin/make -f
 
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
+
 include /usr/share/openstack-pkg-tools/pkgos.make
+export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
-	install -D -m 0644 tools/neutron.bash_completion $(CURDIR)/debian/python-neutronclient-doc/usr/share/bash-completion/completions/neutron
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-neutronclient; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-neutronclient; \
+	done
+	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
+	install -D -m 0644 tools/neutron.bash_completion $(CURDIR)/debian/python-neutronclient/usr/share/bash-completion/completions/neutron
+	mv $(CURDIR)/debian/python-neutronclient/usr/bin/neutron $(CURDIR)/debian/python-neutronclient/usr/bin/python2-neutron
+	mv $(CURDIR)/debian/python3-neutronclient/usr/bin/neutron $(CURDIR)/debian/python3-neutronclient/usr/bin/python3-neutron
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	pkgos-dh_auto_test 'neutronclient\.tests\.unit\.(?!(.*test_cli20_port\.CLITestV20PortJSON\.test_list_ports_with_fixed_ips_in_csv.*|.*test_cli20_port\.CLITestV20PortXML\.test_list_ports_with_fixed_ips_in_csv.*))'
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'neutronclient\.tests\.unit\.(?!(.*test_cli20_port\.CLITestV20PortJSON\.test_list_ports_with_fixed_ips_in_csv.*|.*test_cli20_port\.CLITestV20PortXML\.test_list_ports_with_fixed_ips_in_csv.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_auto_clean:

## python-neutronclient 6.9.0

=== debian/changelog ===
python-neutronclient (1:6.9.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Aug 2018 14:36:21 -0400

python-neutronclient (1:6.8.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control, d/compat: Bump debhelper compat to 10.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/p/allow-babel-2.4.0.patch: Drop blacklist of Babel 2.4.0 as the
      version in Ubuntu is fixed.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 10:36:22 -0400

python-neutronclient (1:6.7.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Thomas Goirand ]
  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:30:32 +0000

python-neutronclient (1:6.7.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:13:05 +0100

python-neutronclient (1:6.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:54:23 +0000

python-neutronclient (1:6.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 20:58:34 +0000

python-neutronclient (1:6.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:04:14 +0000

python-neutronclient (1:6.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 12:55:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
@@ -25,25 +25,25 @@
  python-fixtures (>= 3.0.0),
  python-hacking (>= 0.12.0),
  python-iso8601 (>= 0.1.11),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-keystoneclient (>= 1:3.8.0),
  python-mock (>= 2.0.0),
  python-mox3 (>= 0.20.0),
  python-netaddr (>= 0.7.18),
  python-openstackclient (>= 3.12.0),
- python-openstackdocstheme (>= 1.17.0),
+ python-openstackdocstheme (>= 1.18.1),
  python-os-client-config (>= 1.28.0),
  python-osc-lib (>= 1.8.0),
  python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 1:3.2.0),
  python-osprofiler (>= 1.4.0),
  python-requests (>= 2.14.2),
- python-requests-mock (>= 1.1.0),
+ python-requests-mock (>= 1.2.0),
  python-simplejson (>= 3.5.1),
  python-six (>= 1.10.0),
- python-subunit (>= 1.0.0),
  python-tempest (>= 1:17.1.0),
  python-testrepository (>= 0.0.18),
  python-testscenarios (>= 0.4),
@@ -53,24 +53,24 @@
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackclient (>= 3.12.0),
- python3-openstackdocstheme (>= 1.17.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-os-client-config (>= 1.28.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1.0),
+ python3-requests-mock (>= 1.2.0),
  python3-simplejson (>= 3.5.1),
  python3-six (>= 1.10.0),
  python3-subunit (>= 1.0.0),
@@ -80,11 +80,11 @@
  python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-neutronclient
 Homepage: https://launchpad.net/python-neutronclient
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: python-neutronclient
 Architecture: all
@@ -93,12 +93,13 @@
  python-cliff (>= 2.8.0),
  python-debtcollector (>= 1.2.0),
  python-iso8601 (>= 0.1.11),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-keystoneclient (>= 1:3.8.0),
  python-netaddr (>= 0.7.18),
  python-os-client-config (>= 1.28.0),
  python-osc-lib (>= 1.8.0),
  python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
@@ -122,12 +123,13 @@
  python3-cliff (>= 2.8.0),
  python3-debtcollector (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-netaddr (>= 0.7.18),
  python3-os-client-config (>= 1.28.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
